# Get Supported Fiat Currencies

This endpoint allows you to retrieve a list of supported Fiat currencies, which is essential when creating a Pay-In request where the `fromCurrency` is denominated in Fiat. For example, if you’re selling a pair of shoes for USD 100 and your customer wishes to pay in Bitcoin or USDT, you would specify `fromCurrency` as USD and `toCurrency` as BTC or USDT. This endpoint provides a comprehensive list of supported Fiat currencies that can be utilied in the `fromCurrency` field.

**Endpoint**

<mark style="color:green;">**`GET`**</mark>`https://api.tylt.money/transactions/merchant/getSupportedFiatCurrenciesList`

**Request Headers**

{% tabs %}
{% tab title="Headers" %}

<table data-full-width="true"><thead><tr><th width="133">Name</th><th width="79">Type</th><th width="167">Example</th><th>Description</th></tr></thead><tbody><tr><td>X-TLP-APIKEY</td><td>string</td><td>93ee3c5e133697251b5362bcf9cc8532476785t8768075616f58d88</td><td>Your Tylt API Key, used to identify your account in API requests.</td></tr><tr><td>X-TLP-SIGNATURE</td><td>string</td><td>d0afef3853dfc8489c8b9affa5825171fdd7y7685675e4966a05f66ed2b3eaf9462b3c9c0</td><td>HMAC SHA-256 signature generated using the API Secret Key to secure the request.</td></tr></tbody></table>
{% endtab %}
{% endtabs %}

{% hint style="info" %}
When using the API, ensure to include your API Key and generate the signature for the request payload using your API Secret. The tables provided above contain example values for illustration purposes only. Please refer to the code snippets for detailed instructions on how to sign the request and generate the signature properly.
{% endhint %}

**Code Snippet**

{% tabs %}
{% tab title="Node JS" %}

```javascript
const axios = require('axios');
const crypto = require('crypto');

// Replace with your API Key and Secret
const apiKey = 'your-api-key';
const apiSecret = 'your-api-secret';

// Create query parameters (if any)
const queryParams = '{}';

// Create the HMAC SHA-256 signature
const signature = crypto
  .createHmac('sha256', apiSecret)
  .update(queryParams)
  .digest('hex');

// Define headers
const headers = {
  "X-TLP-APIKEY": apiKey,
  "X-TLP-SIGNATURE": signature
};

// Send the GET request
axios.get("https://api.tylt.money/transactions/merchant/getSupportedFiatCurrenciesList", { headers })
  .then(response => {
    console.log("Response:", response.data);
  })
  .catch(error => {
    console.error('Error:', error.response ? error.response.data : error.message);
  });

```

{% endtab %}

{% tab title="Python" %}

```python
import requests
import hmac
import hashlib

# Replace with your API Key and Secret
api_key = 'your-api-key'
api_secret = 'your-api-secret'

# Create query parameters (if any)
query_params = {}

# Create the HMAC SHA-256 signature
signature = hmac.new(api_secret.encode(), b'', hashlib.sha256).hexdigest()

# Define headers
headers = {
    "X-TLP-APIKEY": api_key,
    "X-TLP-SIGNATURE": signature
}

# Send the GET request
response = requests.get("https://api.tylt.money/transactions/merchant/getSupportedFiatCurrenciesList", headers=headers)

# Print the response
if response.status_code == 200:
    print("Response:", response.json())
else:
    print(f"Failed with status code {response.status_code}: {response.text}")

```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
const crypto = require('crypto');
const fetch = require('node-fetch');

// Replace with your API Key and Secret
const apiKey = 'your-api-key';
const apiSecret = 'your-api-secret';

// Create query parameters (if any)
const queryParams = new URLSearchParams();

// Create the HMAC SHA-256 signature
const signature = crypto
  .createHmac('sha256', apiSecret)
  .update(queryParams.toString())
  .digest('hex');

const myHeaders = {
  "X-TLP-APIKEY": apiKey,
  "X-TLP-SIGNATURE": signature
};

const requestOptions = {
  method: 'GET',
  headers: myHeaders,
  redirect: 'follow'
};

fetch("https://api.tylt.money/transactions/merchant/getSupportedFiatCurrenciesList", requestOptions)
  .then(response => response.json())
  .then(result => console.log(result))
  .catch(error => console.error('Error:', error));

```

{% endtab %}
{% endtabs %}

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "data": [
        {
            "currencyName": "United Arab Emirates dirham",
            "currencySymbol": "AED"
        },
        {
            "currencyName": "Afghan afghani",
            "currencySymbol": "AFN"
        },
        {
            "currencyName": "Albanian lek",
            "currencySymbol": "ALL"
        },
        {
            "currencyName": "Armenian dram",
            "currencySymbol": "AMD"
        },
        {
            "currencyName": "AREG",
            "currencySymbol": "ARE"
        },
        {
            "currencyName": "Argentine peso",
            "currencySymbol": "ARS"
        },
        {
            "currencyName": "Australian dollar",
            "currencySymbol": "AUD"
        },
        {
            "currencyName": "Australian nugget",
            "currencySymbol": "AUN"
        },
        {
            "currencyName": "Aruban florin",
            "currencySymbol": "AWG"
        },
        {
            "currencyName": "Bosnia and Herzegovina convertible mark",
            "currencySymbol": "BAM"
        },
        {
            "currencyName": "Barbados dollar",
            "currencySymbol": "BBD"
        },
        {
            "currencyName": "Bangladeshi taka",
            "currencySymbol": "BDT"
        },
        {
            "currencyName": "Bulgarian lev",
            "currencySymbol": "BGN"
        },
        {
            "currencyName": "Bahraini dinar",
            "currencySymbol": "BHD"
        },
        {
            "currencyName": "Burundian franc",
            "currencySymbol": "BIF"
        },
        {
            "currencyName": "Bermudian dollar",
            "currencySymbol": "BMD"
        },
        {
            "currencyName": "Brunei dollar",
            "currencySymbol": "BND"
        },
        {
            "currencyName": "Boliviano",
            "currencySymbol": "BOB"
        },
        {
            "currencyName": "Britannia",
            "currencySymbol": "BRI"
        },
        {
            "currencyName": "Brazilian real",
            "currencySymbol": "BRL"
        },
        {
            "currencyName": "Bahamian dollar",
            "currencySymbol": "BSD"
        },
        {
            "currencyName": "Bhutanese ngultrum",
            "currencySymbol": "BTN"
        },
        {
            "currencyName": "Botswana pula",
            "currencySymbol": "BWP"
        },
        {
            "currencyName": "Belarusian ruble",
            "currencySymbol": "BYR"
        },
        {
            "currencyName": "Belize dollar",
            "currencySymbol": "BZD"
        },
        {
            "currencyName": "Canadian dollar",
            "currencySymbol": "CAD"
        },
        {
            "currencyName": "Congolese franc",
            "currencySymbol": "CDF"
        },
        {
            "currencyName": "Swiss franc",
            "currencySymbol": "CHF"
        },
        {
            "currencyName": "Chilean peso",
            "currencySymbol": "CLP"
        },
        {
            "currencyName": "Chinese yuan",
            "currencySymbol": "CNH"
        },
        {
            "currencyName": "Chinese yuan",
            "currencySymbol": "CNY"
        },
        {
            "currencyName": "Colombian peso",
            "currencySymbol": "COP"
        },
        {
            "currencyName": "Costa Rican colon",
            "currencySymbol": "CRC"
        },
        {
            "currencyName": "Cuban peso",
            "currencySymbol": "CUP"
        },
        {
            "currencyName": "Cape Verde escudo",
            "currencySymbol": "CVE"
        },
        {
            "currencyName": "Cypriot pound",
            "currencySymbol": "CYP"
        },
        {
            "currencyName": "Czech koruna",
            "currencySymbol": "CZK"
        },
        {
            "currencyName": "Djiboutian franc",
            "currencySymbol": "DJF"
        },
        {
            "currencyName": "Danish krone",
            "currencySymbol": "DKK"
        },
        {
            "currencyName": "Double Eagle",
            "currencySymbol": "DOE"
        },
        {
            "currencyName": "Dominican peso",
            "currencySymbol": "DOP"
        },
        {
            "currencyName": "Algerian dinar",
            "currencySymbol": "DZD"
        },
        {
            "currencyName": "Egyptian pound",
            "currencySymbol": "EGP"
        },
        {
            "currencyName": "Ethiopian birr",
            "currencySymbol": "ETB"
        },
        {
            "currencyName": "Euro",
            "currencySymbol": "EUR"
        },
        {
            "currencyName": "Fiji dollar",
            "currencySymbol": "FJD"
        },
        {
            "currencyName": "French Napoleon",
            "currencySymbol": "FRN"
        },
        {
            "currencyName": "Pound sterling",
            "currencySymbol": "GBP"
        },
        {
            "currencyName": "Ghanaian cedi",
            "currencySymbol": "GHS"
        },
        {
            "currencyName": "Gambian dalasi",
            "currencySymbol": "GMD"
        },
        {
            "currencyName": "Guinean franc",
            "currencySymbol": "GNF"
        },
        {
            "currencyName": "Guatemalan quetzal",
            "currencySymbol": "GTQ"
        },
        {
            "currencyName": "Guyanese dollar",
            "currencySymbol": "GYD"
        },
        {
            "currencyName": "Hong Kong dollar",
            "currencySymbol": "HKD"
        },
        {
            "currencyName": "Honduran lempira",
            "currencySymbol": "HNL"
        },
        {
            "currencyName": "Croatian kuna",
            "currencySymbol": "HRK"
        },
        {
            "currencyName": "Haitian gourde",
            "currencySymbol": "HTG"
        },
        {
            "currencyName": "Hungarian forint",
            "currencySymbol": "HUF"
        },
        {
            "currencyName": "Indonesian rupiah",
            "currencySymbol": "IDR"
        },
        {
            "currencyName": "Israeli new shekel",
            "currencySymbol": "ILS"
        },
        {
            "currencyName": "Indian rupee",
            "currencySymbol": "INR"
        },
        {
            "currencyName": "Iraqi dinar",
            "currencySymbol": "IQD"
        },
        {
            "currencyName": "Icelandic króna",
            "currencySymbol": "ISK"
        },
        {
            "currencyName": "Jamaican dollar",
            "currencySymbol": "JMD"
        },
        {
            "currencyName": "Jordanian dinar",
            "currencySymbol": "JOD"
        },
        {
            "currencyName": "Japanese yen",
            "currencySymbol": "JPY"
        },
        {
            "currencyName": "Kenyan shilling",
            "currencySymbol": "KES"
        },
        {
            "currencyName": "Cambodian riel",
            "currencySymbol": "KHR"
        },
        {
            "currencyName": "Comoro franc",
            "currencySymbol": "KMF"
        },
        {
            "currencyName": "South African Krugerrand",
            "currencySymbol": "KRU"
        },
        {
            "currencyName": "South Korean won",
            "currencySymbol": "KRW"
        },
        {
            "currencyName": "Kuwaiti dinar",
            "currencySymbol": "KWD"
        },
        {
            "currencyName": "Cayman Islands dollar",
            "currencySymbol": "KYD"
        },
        {
            "currencyName": "Kazakhstani tenge",
            "currencySymbol": "KZT"
        },
        {
            "currencyName": "Lao kip",
            "currencySymbol": "LAK"
        },
        {
            "currencyName": "Lebanese pound",
            "currencySymbol": "LBP"
        },
        {
            "currencyName": "Sri Lankan rupee",
            "currencySymbol": "LKR"
        },
        {
            "currencyName": "Liberian dollar",
            "currencySymbol": "LRD"
        },
        {
            "currencyName": "Lesotho loti",
            "currencySymbol": "LSL"
        },
        {
            "currencyName": "Lithuanian litas",
            "currencySymbol": "LTL"
        },
        {
            "currencyName": "Libyan dinar",
            "currencySymbol": "LYD"
        },
        {
            "currencyName": "Mexican 50 peso",
            "currencySymbol": "M5P"
        },
        {
            "currencyName": "Moroccan dirham",
            "currencySymbol": "MAD"
        },
        {
            "currencyName": "Maple Leaf",
            "currencySymbol": "MAL"
        },
        {
            "currencyName": "Moldovan leu",
            "currencySymbol": "MDL"
        },
        {
            "currencyName": "Malagasy ariary",
            "currencySymbol": "MGA"
        },
        {
            "currencyName": "Macedonian denar",
            "currencySymbol": "MKD"
        },
        {
            "currencyName": "Myanma kyat",
            "currencySymbol": "MMK"
        },
        {
            "currencyName": "Macanese pataca",
            "currencySymbol": "MOP"
        },
        {
            "currencyName": "Mauritanian ouguiya",
            "currencySymbol": "MRO"
        },
        {
            "currencyName": "Mauritian rupee",
            "currencySymbol": "MUR"
        },
        {
            "currencyName": "Maldivian rufiyaa",
            "currencySymbol": "MVR"
        },
        {
            "currencyName": "Malawian kwacha",
            "currencySymbol": "MWK"
        },
        {
            "currencyName": "Mexican peso",
            "currencySymbol": "MXN"
        },
        {
            "currencyName": "Malaysian ringgit",
            "currencySymbol": "MYR"
        },
        {
            "currencyName": "Mozambican metical",
            "currencySymbol": "MZN"
        },
        {
            "currencyName": "Namibian dollar",
            "currencySymbol": "NAD"
        },
        {
            "currencyName": "Isle Of Man noble",
            "currencySymbol": "NBL"
        },
        {
            "currencyName": "Nigerian naira",
            "currencySymbol": "NGN"
        },
        {
            "currencyName": "Nicaraguan córdoba",
            "currencySymbol": "NIO"
        },
        {
            "currencyName": "Norwegian krone",
            "currencySymbol": "NOK"
        },
        {
            "currencyName": "Nepalese rupee",
            "currencySymbol": "NPR"
        },
        {
            "currencyName": "New Sovereign",
            "currencySymbol": "NSO"
        },
        {
            "currencyName": "New Zealand dollar",
            "currencySymbol": "NZD"
        },
        {
            "currencyName": "Omani rial",
            "currencySymbol": "OMR"
        },
        {
            "currencyName": "Old Sovereign",
            "currencySymbol": "OSO"
        },
        {
            "currencyName": "Panamanian balboa",
            "currencySymbol": "PAB"
        },
        {
            "currencyName": "Peruvian nuevo sol",
            "currencySymbol": "PEN"
        },
        {
            "currencyName": "Papua New Guinean kina",
            "currencySymbol": "PGK"
        },
        {
            "currencyName": "Philippine peso",
            "currencySymbol": "PHP"
        },
        {
            "currencyName": "Pakistani rupee",
            "currencySymbol": "PKR"
        },
        {
            "currencyName": "Polish złoty",
            "currencySymbol": "PLN"
        },
        {
            "currencyName": "Paraguayan guaraní",
            "currencySymbol": "PYG"
        },
        {
            "currencyName": "Qatari riyal",
            "currencySymbol": "QAR"
        },
        {
            "currencyName": "Romanian new leu",
            "currencySymbol": "RON"
        },
        {
            "currencyName": "Serbian dinar",
            "currencySymbol": "RSD"
        },
        {
            "currencyName": "Russian rouble",
            "currencySymbol": "RUB"
        },
        {
            "currencyName": "Rwandan franc",
            "currencySymbol": "RWF"
        },
        {
            "currencyName": "Saudi riyal",
            "currencySymbol": "SAR"
        },
        {
            "currencyName": "Seychelles rupee",
            "currencySymbol": "SCR"
        },
        {
            "currencyName": "Sudanese dinar",
            "currencySymbol": "SDD"
        },
        {
            "currencyName": "Sudanese pound",
            "currencySymbol": "SDG"
        },
        {
            "currencyName": "Swedish krona",
            "currencySymbol": "SEK"
        },
        {
            "currencyName": "Singapore dollar",
            "currencySymbol": "SGD"
        },
        {
            "currencyName": "Saint Helena pound",
            "currencySymbol": "SHP"
        },
        {
            "currencyName": "Slovak koruna",
            "currencySymbol": "SKK"
        },
        {
            "currencyName": "Sierra Leonean leone",
            "currencySymbol": "SLL"
        },
        {
            "currencyName": "Somali shilling",
            "currencySymbol": "SOS"
        },
        {
            "currencyName": "São Tomé and Príncipe",
            "currencySymbol": "STD"
        },
        {
            "currencyName": "Salvadoran colón",
            "currencySymbol": "SVC"
        },
        {
            "currencyName": "Swazi lilangeni",
            "currencySymbol": "SZL"
        },
        {
            "currencyName": "Thai baht",
            "currencySymbol": "THB"
        },
        {
            "currencyName": "Tajikistani somoni",
            "currencySymbol": "TJS"
        },
        {
            "currencyName": "Turkmenistani manat",
            "currencySymbol": "TMT"
        },
        {
            "currencyName": "Tunisian dinar",
            "currencySymbol": "TND"
        },
        {
            "currencyName": "Turkish lira",
            "currencySymbol": "TRY"
        },
        {
            "currencyName": "Trinidad and Tobago dollar",
            "currencySymbol": "TTD"
        },
        {
            "currencyName": "New Taiwan dollar",
            "currencySymbol": "TWD"
        },
        {
            "currencyName": "Tanzanian shilling",
            "currencySymbol": "TZS"
        },
        {
            "currencyName": "Ukrainian hryvnia",
            "currencySymbol": "UAH"
        },
        {
            "currencyName": "Ugandan shilling",
            "currencySymbol": "UGX"
        },
        {
            "currencyName": "United States Dollar",
            "currencySymbol": "USD"
        },
        {
            "currencyName": "Uruguayan peso",
            "currencySymbol": "UYU"
        },
        {
            "currencyName": "Uzbekistan som",
            "currencySymbol": "UZS"
        },
        {
            "currencyName": "Venezuelan bolí",
            "currencySymbol": "VEF"
        },
        {
            "currencyName": "Vietnamese dong",
            "currencySymbol": "VND"
        },
        {
            "currencyName": "Vreneli 10F.",
            "currencySymbol": "VRL"
        },
        {
            "currencyName": "Vreneli 20F",
            "currencySymbol": "VRN"
        },
        {
            "currencyName": "Silver (one troy ounce)",
            "currencySymbol": "XAG"
        },
        {
            "currencyName": "Silver (kg)",
            "currencySymbol": "XAGK"
        },
        {
            "currencyName": "Gold (one troy ounce)",
            "currencySymbol": "XAU"
        },
        {
            "currencyName": "Gold (kg)",
            "currencySymbol": "XAUK"
        },
        {
            "currencyName": "East Caribbean dollar",
            "currencySymbol": "XCD"
        },
        {
            "currencyName": "Special drawing rights",
            "currencySymbol": "XDR"
        },
        {
            "currencyName": "Palladium (one troy ounce)",
            "currencySymbol": "XPD"
        },
        {
            "currencyName": "Palladium (kg)",
            "currencySymbol": "XPDK"
        },
        {
            "currencyName": "CFP franc",
            "currencySymbol": "XPF"
        },
        {
            "currencyName": "Platinum (one troy ounce)",
            "currencySymbol": "XPT"
        },
        {
            "currencyName": "Platinum (kg)",
            "currencySymbol": "XPTK"
        },
        {
            "currencyName": "Yemeni rial",
            "currencySymbol": "YER"
        },
        {
            "currencyName": "South African rand",
            "currencySymbol": "ZAR"
        },
        {
            "currencyName": "Zambian Kwacha",
            "currencySymbol": "ZMK"
        },
        {
            "currencyName": "Zambian kwacha",
            "currencySymbol": "ZMW"
        }
    ],
    "errorCode": 0,
    "msg": ""
}
```

{% endtab %}

{% tab title="Response Fields" %}

<table data-header-hidden><thead><tr><th>Field Name</th><th width="101">Type</th><th>Description</th></tr></thead><tbody><tr><td><strong>Field Name</strong></td><td><strong>Type</strong></td><td><strong>Description</strong></td></tr><tr><td><code>currencyName</code></td><td>string</td><td>The name of the cryptocurrency (e.g., Dai, Tether).</td></tr><tr><td><code>currencySymbol</code></td><td>string</td><td>The symbol representing the cryptocurrency (e.g., DAI, USDT). <mark style="color:purple;">Use this as input in other API requests.</mark></td></tr></tbody></table>
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tylt.money/tylt-cpg-crypto-asset-gateway/api-reference/supporting-apis/get-supported-fiat-currencies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
